'Open workfile
wfopen ".\enders_siklos_example.wf1"

'Generate the series of interest
series rf = log(fed_funds)
series rg = log(g_10)
series drf = d(rf)
series drg = d(rg)

'Put dependent variables into a group
group vars.add rf rg
smpl 1979m10 1997m04 'set the sample

'Estimate equation 16
equation eq16.ls rf c rg
eq16.makeresids mu 'get the residuals
series dmu = d(mu) 'generate the differenced residuals

vars.tarcoint(method=2,thval="",crit="SIC",smpl="1979m10 1997m04") 'run the add-in from command line

!lags = @val(@right(tgout01(4,1),1)) 'get the chosen lag length from the output table

'Engle-Granger Auxilary Regression
equation egaux.ls dmu mu(-1) dmu(-1to-!lags)

!tau = @val(tgout01(14+!lags,2)) 'the paper rounds it to -0.0261, which produces a slightly different output

series Mt = (dmu(-1)>=!tau) 'generate the Heaviside indicator

'Estimate equations 20 and 21
equation eq20.ls drf c Mt*mu(-1) (1-Mt)*mu(-1) drf(-1to-!lags) drg(-1to-!lags)
equation eq21.ls drg c Mt*mu(-1) (1-Mt)*mu(-1) drf(-1to-!lags) drg(-1to-!lags)

'Test the null hypothesis of F21 = 0
eq20.wald c(6)=c(7)=0

smpl @all


